slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSolve

Solves the matrix function problem. Given a vector b, the vector x = f(A)*b is returned.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSolve(MFN mfn,Vec b,Vec x)

Collective

### Input Parameters

| mfn | - matrix function context obtained from MFNCreate()
| b | - the right hand side vector

### Output Parameter

| x | - the solution (this may be the same vector as b, then b will be overwritten with the answer)

### Options Database Keys

| -mfn_view | - print information about the solver used
| -mfn_view_mat binary | - save the matrix to the default binary viewer
| -mfn_view_rhs binary | - save right hand side vector to the default binary viewer
| -mfn_view_solution binary | - save computed solution vector to the default binary viewer
| -mfn_converged_reason | - print reason for convergence, and number of iterations

### Notes

The matrix A is specified with MFNSetOperator(). The function f is specified with MFNSetFN().

### See Also

MFNCreate(), MFNSetUp(), MFNDestroy(), MFNSetTolerances(),
MFNSetOperator(), MFNSetFN()

### Level

beginner

### Location

src/mfn/interface/mfnsolve.c

### Examples

src/eps/tutorials/ex36.c
src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
src/mfn/tutorials/ex26.c
src/mfn/tutorials/ex37.c
src/mfn/tutorials/ex39.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages